DFULMT(3)

SYNOPSIS
SUBROUTINE DFULMT (I, J, AIJ, INDCAT, PRGOPT, DATTRV, IFLAG)

NAME
dfulmt - Subsidiary to DSPLP

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (FULMAT-S, DFULMT-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
DECODES A STANDARD TWO-DIMENSIONAL FORTRAN ARRAY PASSED IN THE ARRAY DATTRV(IA,*). THE ROW DIMENSION IA AND THE MATRIX DIMENSIONS MRELAS AND NVARS MUST SIMULTANEOUSLY BE PASSED USING THE OPTION ARRAY, PRGOPT(*). IT IS AN ERROR IF THIS DATA IS NOT PASSED TO DFULMT( ). EXAMPLE-- (FOR USE TOGETHER WITH DSPLP().) EXTERNAL DUSRMT DIMENSION DATTRV(IA,*) PRGOPT(01)=7 PRGOPT(02)=68 PRGOPT(03)=1 PRGOPT(04)=IA PRGOPT(05)=MRELAS PRGOPT(06)=NVARS PRGOPT(07)=1 CALL DSPLP( ... DFULMT INSTEAD OF DUSRMT...)

SEE ALSO
DSPLP

ROUTINES CALLED
XERMSG

REVISION HISTORY (YYMMDD)
811215 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)